%define upstream_name    Term-Shell
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Write command-line shells in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Autoformat)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Term::Shell makes it joyfully easy to write command-line interfaces in Perl.
All the boring details like command-line parsing and terminal handling are
done for you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Term/Shell*
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.130.0-3.mga10
+ Revision: 2207291
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.130.0-2.mga9
+ Revision: 1815053
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 0.130.0-1.mga9
+ Revision: 1753027
- update to 0.13

* Thu Oct 15 2020 tv <tv> 0.120.0-1.mga8
+ Revision: 1636175
- update to 0.12

* Sat Feb 15 2020 umeabot <umeabot> 0.110.0-2.mga8
+ Revision: 1526783
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.110.0-1.mga8
+ Revision: 1415755
- update to 0.11

* Fri Dec 28 2018 tv <tv> 0.100.0-1.mga7
+ Revision: 1345397
- update to 0.10

* Wed Sep 19 2018 umeabot <umeabot> 0.90.0-3.mga7
+ Revision: 1271640
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-2.mga6
+ Revision: 1034003
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.90.0-1.mga6
+ Revision: 1002308
- update to 0.09

* Sat Jan 16 2016 shlomif <shlomif> 0.70.0-1.mga6
+ Revision: 923928
- update to 0.07

* Sun Oct 19 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 788548
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 750494
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 686386
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.60.0-1.mga5
+ Revision: 614999
- update to 0.06

* Mon Feb 24 2014 jquelin <jquelin> 0.50.0-1.mga5
+ Revision: 596366
- update to 0.05

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 527329
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.40.0-1.mga4
+ Revision: 439925
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 373315
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 306247
- update to 0.03

* Thu Jan 20 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 27091
- mageia rebuild
- imported package perl-Term-Shell


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 405543
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.02-3mdv2009.0
+ Revision: 241963
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.02-1mdv2008.0
+ Revision: 22102
- 0.02


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.01-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdk
- initial Mandriva package

